Skip to content
Primary navigation

Create a character from an uploaded video.

POST/videos/characters

Create a character from an uploaded video.

Body ParametersForm DataExpand Collapse
name: string

Display name for this API character.

maxLength80
minLength1
video: file

Video file used to create a character.

ReturnsExpand Collapse
id: string

Identifier for the character creation cameo.

created_at: number

Unix timestamp (in seconds) when the character was created.

name: string

Display name for the character.

Create a character from an uploaded video.

curl https://api.openai.com/v1/videos/characters \
    -H 'Content-Type: multipart/form-data' \
    -H "Authorization: Bearer $OPENAI_API_KEY" \
    -F name=x \
    -F 'video=@/path/to/video'
{
  "id": "id",
  "created_at": 0,
  "name": "name"
}
Returns Examples
{
  "id": "id",
  "created_at": 0,
  "name": "name"
}